Tags API

    9 endpoints

    Tag management for categorisation.

    GET
    Auth Required

    List all tags for a collection with optional filters and pagination.

    List all tags for a collection with optional filters and pagination.

    Endpoint

    /admin/collection/{collectionId}/tags
    POST
    Auth Required

    Create a single tag mapping.

    Create a single tag mapping.

    Endpoint

    /admin/collection/{collectionId}/tags
    POST
    Auth Required

    tags.createBatch

    tags.createBatch

    Endpoint

    /admin/collection/{collectionId}/tags/batch
    GET
    Auth Required

    Get a single tag mapping by tagId.

    Get a single tag mapping by tagId.

    Endpoint

    /admin/collection/{collectionId}/tags/{tagId}
    PUT
    Auth Required

    Update an existing tag mapping.

    Update an existing tag mapping.

    Endpoint

    /admin/collection/{collectionId}/tags/{tagId}
    DELETE
    Auth Required

    Delete a tag mapping.

    Delete a tag mapping.

    Endpoint

    /admin/collection/{collectionId}/tags/{tagId}
    GET
    Auth Required

    Public batch lookup of multiple tags using query parameters (GET).

    Public batch lookup of multiple tags using query parameters (GET).

    Endpoint

    /public/tags/lookup
    POST
    Auth Required

    Public batch lookup of multiple tags in a single request (POST).

    Public batch lookup of multiple tags in a single request (POST).

    Endpoint

    /public/tags/lookup
    GET
    Auth Required

    Public lookup of a single tag by tagId (global).

    Public lookup of a single tag by tagId (global).

    Endpoint

    /public/tags/{tagId}